*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Montserrat', sans-serif;
  margin: 0;
  background: #fff;
  color: #111;
}

body,
.page,
html {
  margin: 0;
  padding: 0;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  margin-left: 0;
  list-style: none;
}

article.page {
  margin-top: 80px;
}

header,
footer {
  display: none;
}

.landing .hero {
  height: 100vh;
  background-size: cover;
  background-position: center;
  position: relative;
  margin-bottom: 80px;
}

.landing .overlay {
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  padding: 4rem;
  text-align: center;
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.landing h1 {
  font-size: 3.5rem;
  margin-bottom: 1rem;
}

.landing .tagline,
.landing .info {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.landing .swiper {
  margin: 2rem 0;
}

.landing .inst-link-image {
  max-width: 500px;
  display: block;
  margin: 50px auto;
}

.landing .contacts {
  padding: 80px 0;
  background-color: #f5f5f5;
  text-align: center;
}

.landing .btn {
  display: inline-block;
  padding: 1rem 2rem;
  background: #000;
  color: #fff;
  text-decoration: none;
  margin: 1rem;
  border-radius: 4px;
  transition: .2s;
  min-width: 280px;
}

.landing .btn:hover {
  color: #000;
  background: #fff;
}

.landing .btns {
  margin-top: 50px;
}

.container {
  width: 100%;
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}

.container.gallery-container {
  max-width: 800px;
  margin-bottom: 30px;
}

.landing h2 {
  font-size: 3rem;
  text-align: center;
  margin-bottom: 20px;
  line-height: 1.2;
}

.inst-link {
  display: flex;
  justify-content: center;
  font-size: 2.5rem;
  gap: 10px;
  margin-bottom: 80px;
}

a:focus {
  outline: none;
}

.inst-link:visited {
  color: #000;
}

.inst-link img {
  max-width: 50px;
}

.contacts .wrap {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}

.logo {
  max-width: 120px;
  display: block;
  margin: 0 auto;
  position: absolute;
  top: 40px;
  left: 40px;
}

.swiper-button-next,
.swiper-button-prev {
  color: #000 !important;
}

.swiper-button-next {
  right: -50px !important;
}

.swiper-button-prev {
  left: -50px !important;
}

.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  display: none;
  z-index: 999;
}

.popup-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  /* Белый фон */
  color: #000;
  /* Чёрный текст */
  padding: 80px 30px 30px 30px;
  border-radius: 10px;
  display: none;
  z-index: 1000;
  max-width: 480px;
  width: 90%;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.2);
}

.popup-content {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.popup-content h3 {
  text-align: center;
  font-size: 25px;
  line-height: 1.2;
}

/* Поля формы */
.wpcf7 input[type="text"],
.wpcf7 input[type="tel"] {
  width: 100%;
  padding: 12px;
  border: 1px solid #000;
  color: #000;
  background: #fff;
  font-size: 16px;
  margin-bottom: 10px;
}

.wpcf7 input::placeholder {
  color: #777;
}

/* Кнопка отправки */
.wpcf7 .wpcf7-submit {
  display: block;
  margin: 0 auto;
  background: #000;
  color: #fff;
  padding: 12px 25px;
  border: none;
  cursor: pointer;
  transition: 0.3s ease;
}

.wpcf7 .wpcf7-submit:hover {
  opacity: 0.85;
}

/* Кнопка закрытия */
.popup-close {
  position: absolute;
  top: 10px;
  right: 15px;
  background: #000;
  border: none;
  font-size: 24px;
  color: #fff;
  cursor: pointer;
  line-height: 1;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  text-align: center;
  padding: 0;
}

.link:visited {
  color: #111;
}

.link {
  color: #111;
  text-decoration: underline;
  display: block;
  margin-bottom: 8px;
}

.link:hover {
  text-decoration: none;
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

@media (min-width: 1400px) {
  .container {
    max-width: 1320px;
  }
}

@media (min-width: 1600px) {
  .container {
    max-width: 1520px;
  }
}

@media (max-width: 991px) {
  .contacts .wrap {
    grid-template-columns: 1fr;
  }

  .landing .btns {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .swiper-button-next,
  .swiper-button-prev {
    display: none !important;
  }
}

@media (max-width: 768px) {
  .landing h1 {
    font-size: 2.5rem;
  }

  .landing .tagline,
  .landing .info {
    font-size: 1.6px;
  }

  .landing h2 {
    font-size: 2rem;
  }

  .inst-link {
    font-size: 1.6rem;
  }

  .inst-link img {
    max-width: 40px;
  }
}

@media (max-width: 576px) {
  .wpcf7 form .wpcf7-response-output {
    font-size: 14px;
  }

  .logo {
    max-width: 80px;
    top: 20px;
    /*left: 20px;*/
    left: 50%;
    transform: translateX(-50%) !important;
  }

  .landing .overlay {
    padding: 4rem 1rem;
  }

  .landing h1 {
    font-size: 2rem;
  }

  .landing .btns {
    margin-top: 0;
  }

  .landing .btn {
    font-size: 14px;
    margin-bottom: 0;
  }

  .popup-content p {
    font-size: 12px;
  }

  .wpcf7 input[type="text"],
  .wpcf7 input[type="tel"] {
    font-size: 14px;
  }
}